<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfDriversLog ArrayType
 * @subpackage Arrays
 */
class ArrayOfDriversLog extends AbstractStructArrayBase
{
    /**
     * The DriversLog
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \StructType\DriversLog[]
     */
    public $DriversLog;
    /**
     * Constructor method for ArrayOfDriversLog
     * @uses ArrayOfDriversLog::setDriversLog()
     * @param \StructType\DriversLog[] $driversLog
     */
    public function __construct(array $driversLog = array())
    {
        $this
            ->setDriversLog($driversLog);
    }
    /**
     * Get DriversLog value
     * @return \StructType\DriversLog[]|null
     */
    public function getDriversLog()
    {
        return $this->DriversLog;
    }
    /**
     * This method is responsible for validating the values passed to the setDriversLog method
     * This method is willingly generated in order to preserve the one-line inline validation within the setDriversLog method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateDriversLogForArrayConstraintsFromSetDriversLog(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfDriversLogDriversLogItem) {
            // validation for constraint: itemType
            if (!$arrayOfDriversLogDriversLogItem instanceof \StructType\DriversLog) {
                $invalidValues[] = is_object($arrayOfDriversLogDriversLogItem) ? get_class($arrayOfDriversLogDriversLogItem) : sprintf('%s(%s)', gettype($arrayOfDriversLogDriversLogItem), var_export($arrayOfDriversLogDriversLogItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The DriversLog property can only contain items of type \StructType\DriversLog, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set DriversLog value
     * @throws \InvalidArgumentException
     * @param \StructType\DriversLog[] $driversLog
     * @return \ArrayType\ArrayOfDriversLog
     */
    public function setDriversLog(array $driversLog = array())
    {
        // validation for constraint: array
        if ('' !== ($driversLogArrayErrorMessage = self::validateDriversLogForArrayConstraintsFromSetDriversLog($driversLog))) {
            throw new \InvalidArgumentException($driversLogArrayErrorMessage, __LINE__);
        }
        $this->DriversLog = $driversLog;
        return $this;
    }
    /**
     * Add item to DriversLog value
     * @throws \InvalidArgumentException
     * @param \StructType\DriversLog $item
     * @return \ArrayType\ArrayOfDriversLog
     */
    public function addToDriversLog(\StructType\DriversLog $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\DriversLog) {
            throw new \InvalidArgumentException(sprintf('The DriversLog property can only contain items of type \StructType\DriversLog, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->DriversLog[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\DriversLog|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\DriversLog|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\DriversLog|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\DriversLog|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\DriversLog|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string DriversLog
     */
    public function getAttributeName()
    {
        return 'DriversLog';
    }
}
