<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the first needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientBase class (each generated ServiceType class extends this class)
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://www7.sonaravl.com/b2b/Service.asmx?WSDL',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc...
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://www7.sonaravl.com/b2b/Service.asmx?WSDL',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => ClassMap::get(),
);
/**
 * Samples for GETT ServiceType
 */
$gETT = new \ServiceType\GETT($options);
/**
 * Sample call for GET_TrackerOdometer operation/method
 */
if ($gETT->GET_TrackerOdometer(new \StructType\GET_TrackerOdometer()) !== false) {
    print_r($gETT->getResult());
} else {
    print_r($gETT->getLastError());
}
/**
 * Sample call for GET_TripsAndPassengersSummary operation/method
 */
if ($gETT->GET_TripsAndPassengersSummary(new \StructType\GET_TripsAndPassengersSummary()) !== false) {
    print_r($gETT->getResult());
} else {
    print_r($gETT->getLastError());
}
/**
 * Samples for GETU ServiceType
 */
$gETU = new \ServiceType\GETU($options);
/**
 * Sample call for GET_UserProfile operation/method
 */
if ($gETU->GET_UserProfile(new \StructType\GET_UserProfile()) !== false) {
    print_r($gETU->getResult());
} else {
    print_r($gETU->getLastError());
}
/**
 * Samples for GETA ServiceType
 */
$gETA = new \ServiceType\GETA($options);
/**
 * Sample call for GET_AccountList operation/method
 */
if ($gETA->GET_AccountList(new \StructType\GET_AccountList()) !== false) {
    print_r($gETA->getResult());
} else {
    print_r($gETA->getLastError());
}
/**
 * Sample call for GET_AlertsHistory operation/method
 */
if ($gETA->GET_AlertsHistory(new \StructType\GET_AlertsHistory()) !== false) {
    print_r($gETA->getResult());
} else {
    print_r($gETA->getLastError());
}
/**
 * Samples for GETF ServiceType
 */
$gETF = new \ServiceType\GETF($options);
/**
 * Sample call for GET_FleetList operation/method
 */
if ($gETF->GET_FleetList(new \StructType\GET_FleetList()) !== false) {
    print_r($gETF->getResult());
} else {
    print_r($gETF->getLastError());
}
/**
 * Sample call for GET_FilteredGroups operation/method
 */
if ($gETF->GET_FilteredGroups(new \StructType\GET_FilteredGroups()) !== false) {
    print_r($gETF->getResult());
} else {
    print_r($gETF->getLastError());
}
/**
 * Samples for GETM ServiceType
 */
$gETM = new \ServiceType\GETM($options);
/**
 * Sample call for GET_MobileList operation/method
 */
if ($gETM->GET_MobileList(new \StructType\GET_MobileList()) !== false) {
    print_r($gETM->getResult());
} else {
    print_r($gETM->getLastError());
}
/**
 * Sample call for GET_MobileGroups operation/method
 */
if ($gETM->GET_MobileGroups(new \StructType\GET_MobileGroups()) !== false) {
    print_r($gETM->getResult());
} else {
    print_r($gETM->getLastError());
}
/**
 * Sample call for GET_MobileInfo operation/method
 */
if ($gETM->GET_MobileInfo(new \StructType\GET_MobileInfo()) !== false) {
    print_r($gETM->getResult());
} else {
    print_r($gETM->getLastError());
}
/**
 * Sample call for GET_MobileStatusHistory operation/method
 */
if ($gETM->GET_MobileStatusHistory(new \StructType\GET_MobileStatusHistory()) !== false) {
    print_r($gETM->getResult());
} else {
    print_r($gETM->getLastError());
}
/**
 * Sample call for GET_MobileOperationInfo operation/method
 */
if ($gETM->GET_MobileOperationInfo(new \StructType\GET_MobileOperationInfo()) !== false) {
    print_r($gETM->getResult());
} else {
    print_r($gETM->getLastError());
}
/**
 * Samples for GETE ServiceType
 */
$gETE = new \ServiceType\GETE($options);
/**
 * Sample call for GET_EventsHistory operation/method
 */
if ($gETE->GET_EventsHistory(new \StructType\GET_EventsHistory()) !== false) {
    print_r($gETE->getResult());
} else {
    print_r($gETE->getLastError());
}
/**
 * Sample call for GET_EndedItinerariesHistory operation/method
 */
if ($gETE->GET_EndedItinerariesHistory(new \StructType\GET_EndedItinerariesHistory()) !== false) {
    print_r($gETE->getResult());
} else {
    print_r($gETE->getLastError());
}
/**
 * Samples for GETL ServiceType
 */
$gETL = new \ServiceType\GETL($options);
/**
 * Sample call for GET_LastLocation operation/method
 */
if ($gETL->GET_LastLocation(new \StructType\GET_LastLocation()) !== false) {
    print_r($gETL->getResult());
} else {
    print_r($gETL->getLastError());
}
/**
 * Sample call for GET_LastLocation_Fleet operation/method
 */
if ($gETL->GET_LastLocation_Fleet(new \StructType\GET_LastLocation_Fleet()) !== false) {
    print_r($gETL->getResult());
} else {
    print_r($gETL->getLastError());
}
/**
 * Sample call for GET_LastLocationByPlate operation/method
 */
if ($gETL->GET_LastLocationByPlate(new \StructType\GET_LastLocationByPlate()) !== false) {
    print_r($gETL->getResult());
} else {
    print_r($gETL->getLastError());
}
/**
 * Samples for GETN ServiceType
 */
$gETN = new \ServiceType\GETN($options);
/**
 * Sample call for GET_NearestEventWhen operation/method
 */
if ($gETN->GET_NearestEventWhen(new \StructType\GET_NearestEventWhen()) !== false) {
    print_r($gETN->getResult());
} else {
    print_r($gETN->getLastError());
}
/**
 * Sample call for GET_NextItPointArrival operation/method
 */
if ($gETN->GET_NextItPointArrival(new \StructType\GET_NextItPointArrival()) !== false) {
    print_r($gETN->getResult());
} else {
    print_r($gETN->getLastError());
}
/**
 * Samples for GETI ServiceType
 */
$gETI = new \ServiceType\GETI($options);
/**
 * Sample call for GET_ItinerariesHistory operation/method
 */
if ($gETI->GET_ItinerariesHistory(new \StructType\GET_ItinerariesHistory()) !== false) {
    print_r($gETI->getResult());
} else {
    print_r($gETI->getLastError());
}
/**
 * Sample call for GET_ItinerariesHistory_v2 operation/method
 */
if ($gETI->GET_ItinerariesHistory_v2(new \StructType\GET_ItinerariesHistory_v2()) !== false) {
    print_r($gETI->getResult());
} else {
    print_r($gETI->getLastError());
}
/**
 * Sample call for GET_Itineraries operation/method
 */
if ($gETI->GET_Itineraries(new \StructType\GET_Itineraries()) !== false) {
    print_r($gETI->getResult());
} else {
    print_r($gETI->getLastError());
}
/**
 * Sample call for GET_ItPointHistory operation/method
 */
if ($gETI->GET_ItPointHistory(new \StructType\GET_ItPointHistory()) !== false) {
    print_r($gETI->getResult());
} else {
    print_r($gETI->getLastError());
}
/**
 * Samples for GETD ServiceType
 */
$gETD = new \ServiceType\GETD($options);
/**
 * Sample call for GET_Drivers operation/method
 */
if ($gETD->GET_Drivers(new \StructType\GET_Drivers()) !== false) {
    print_r($gETD->getResult());
} else {
    print_r($gETD->getLastError());
}
/**
 * Sample call for GET_Drivers_v2 operation/method
 */
if ($gETD->GET_Drivers_v2(new \StructType\GET_Drivers_v2()) !== false) {
    print_r($gETD->getResult());
} else {
    print_r($gETD->getLastError());
}
/**
 * Sample call for GET_DriversByStatus operation/method
 */
if ($gETD->GET_DriversByStatus(new \StructType\GET_DriversByStatus()) !== false) {
    print_r($gETD->getResult());
} else {
    print_r($gETD->getLastError());
}
/**
 * Sample call for GET_DriversHistory operation/method
 */
if ($gETD->GET_DriversHistory(new \StructType\GET_DriversHistory()) !== false) {
    print_r($gETD->getResult());
} else {
    print_r($gETD->getLastError());
}
/**
 * Sample call for GET_DispatchPassengers operation/method
 */
if ($gETD->GET_DispatchPassengers(new \StructType\GET_DispatchPassengers()) !== false) {
    print_r($gETD->getResult());
} else {
    print_r($gETD->getLastError());
}
/**
 * Samples for SETI ServiceType
 */
$sETI = new \ServiceType\SETI($options);
/**
 * Sample call for SET_ItAssign operation/method
 */
if ($sETI->SET_ItAssign(new \StructType\SET_ItAssign()) !== false) {
    print_r($sETI->getResult());
} else {
    print_r($sETI->getLastError());
}
/**
 * Sample call for SET_ItAssign_v2 operation/method
 */
if ($sETI->SET_ItAssign_v2(new \StructType\SET_ItAssign_v2()) !== false) {
    print_r($sETI->getResult());
} else {
    print_r($sETI->getLastError());
}
/**
 * Sample call for SET_ItCancel operation/method
 */
if ($sETI->SET_ItCancel(new \StructType\SET_ItCancel()) !== false) {
    print_r($sETI->getResult());
} else {
    print_r($sETI->getLastError());
}
/**
 * Sample call for SET_InsertDriver operation/method
 */
if ($sETI->SET_InsertDriver(new \StructType\SET_InsertDriver()) !== false) {
    print_r($sETI->getResult());
} else {
    print_r($sETI->getLastError());
}
/**
 * Samples for GETC ServiceType
 */
$gETC = new \ServiceType\GETC($options);
/**
 * Sample call for GET_CmdStatus operation/method
 */
if ($gETC->GET_CmdStatus(new \StructType\GET_CmdStatus()) !== false) {
    print_r($gETC->getResult());
} else {
    print_r($gETC->getLastError());
}
/**
 * Sample call for GET_CounterHistory operation/method
 */
if ($gETC->GET_CounterHistory(new \StructType\GET_CounterHistory()) !== false) {
    print_r($gETC->getResult());
} else {
    print_r($gETC->getLastError());
}
/**
 * Sample call for GET_CommandList operation/method
 */
if ($gETC->GET_CommandList(new \StructType\GET_CommandList()) !== false) {
    print_r($gETC->getResult());
} else {
    print_r($gETC->getLastError());
}
/**
 * Samples for SETC ServiceType
 */
$sETC = new \ServiceType\SETC($options);
/**
 * Sample call for SET_CmdCancel operation/method
 */
if ($sETC->SET_CmdCancel(new \StructType\SET_CmdCancel()) !== false) {
    print_r($sETC->getResult());
} else {
    print_r($sETC->getLastError());
}
/**
 * Samples for SENDQ ServiceType
 */
$sENDQ = new \ServiceType\SENDQ($options);
/**
 * Sample call for SEND_QuickMessageCfg operation/method
 */
if ($sENDQ->SEND_QuickMessageCfg(new \StructType\SEND_QuickMessageCfg()) !== false) {
    print_r($sENDQ->getResult());
} else {
    print_r($sENDQ->getLastError());
}
/**
 * Samples for GETG ServiceType
 */
$gETG = new \ServiceType\GETG($options);
/**
 * Sample call for GET_GeolocatedPassengerHistory operation/method
 */
if ($gETG->GET_GeolocatedPassengerHistory(new \StructType\GET_GeolocatedPassengerHistory()) !== false) {
    print_r($gETG->getResult());
} else {
    print_r($gETG->getLastError());
}
/**
 * Samples for GETP ServiceType
 */
$gETP = new \ServiceType\GETP($options);
/**
 * Sample call for GET_PassengersCounter operation/method
 */
if ($gETP->GET_PassengersCounter(new \StructType\GET_PassengersCounter()) !== false) {
    print_r($gETP->getResult());
} else {
    print_r($gETP->getLastError());
}
/**
 * Samples for SETD ServiceType
 */
$sETD = new \ServiceType\SETD($options);
/**
 * Sample call for SET_Driver operation/method
 */
if ($sETD->SET_Driver(new \StructType\SET_Driver()) !== false) {
    print_r($sETD->getResult());
} else {
    print_r($sETD->getLastError());
}
/**
 * Sample call for SET_DeleteDriver operation/method
 */
if ($sETD->SET_DeleteDriver(new \StructType\SET_DeleteDriver()) !== false) {
    print_r($sETD->getResult());
} else {
    print_r($sETD->getLastError());
}
/**
 * Samples for GETCAN ServiceType
 */
$gETCAN = new \ServiceType\GETCAN($options);
/**
 * Sample call for GET_CAN_variables operation/method
 */
if ($gETCAN->GET_CAN_variables(new \StructType\GET_CAN_variables()) !== false) {
    print_r($gETCAN->getResult());
} else {
    print_r($gETCAN->getLastError());
}
/**
 * Samples for GETCANE ServiceType
 */
$gETCANE = new \ServiceType\GETCANE($options);
/**
 * Sample call for GET_CANEventsHistory operation/method
 */
if ($gETCANE->GET_CANEventsHistory(new \StructType\GET_CANEventsHistory()) !== false) {
    print_r($gETCANE->getResult());
} else {
    print_r($gETCANE->getLastError());
}
/**
 * Samples for GETO ServiceType
 */
$gETO = new \ServiceType\GETO($options);
/**
 * Sample call for GET_OffLineMobiles operation/method
 */
if ($gETO->GET_OffLineMobiles(new \StructType\GET_OffLineMobiles()) !== false) {
    print_r($gETO->getResult());
} else {
    print_r($gETO->getLastError());
}
/**
 * Samples for SENDC ServiceType
 */
$sENDC = new \ServiceType\SENDC($options);
/**
 * Sample call for SEND_CommandToMobile operation/method
 */
if ($sENDC->SEND_CommandToMobile(new \StructType\SEND_CommandToMobile()) !== false) {
    print_r($sENDC->getResult());
} else {
    print_r($sENDC->getLastError());
}
/**
 * Samples for SENDM ServiceType
 */
$sENDM = new \ServiceType\SENDM($options);
/**
 * Sample call for SEND_MsgToMobile operation/method
 */
if ($sENDM->SEND_MsgToMobile(new \StructType\SEND_MsgToMobile()) !== false) {
    print_r($sENDM->getResult());
} else {
    print_r($sENDM->getLastError());
}
/**
 * Samples for GETQ ServiceType
 */
$gETQ = new \ServiceType\GETQ($options);
/**
 * Sample call for GET_QuickMessageLog operation/method
 */
if ($gETQ->GET_QuickMessageLog(new \StructType\GET_QuickMessageLog()) !== false) {
    print_r($gETQ->getResult());
} else {
    print_r($gETQ->getLastError());
}
/**
 * Samples for SETU ServiceType
 */
$sETU = new \ServiceType\SETU($options);
/**
 * Sample call for SET_UpdateDriver operation/method
 */
if ($sETU->SET_UpdateDriver(new \StructType\SET_UpdateDriver()) !== false) {
    print_r($sETU->getResult());
} else {
    print_r($sETU->getLastError());
}
/**
 * Samples for Payments ServiceType
 */
$payments = new \ServiceType\Payments($options);
/**
 * Sample call for Payments_GetFleets operation/method
 */
if ($payments->Payments_GetFleets(new \StructType\Payments_GetFleets()) !== false) {
    print_r($payments->getResult());
} else {
    print_r($payments->getLastError());
}
/**
 * Sample call for Payments_GetFleetRoutes operation/method
 */
if ($payments->Payments_GetFleetRoutes(new \StructType\Payments_GetFleetRoutes()) !== false) {
    print_r($payments->getResult());
} else {
    print_r($payments->getLastError());
}
/**
 * Sample call for Payments_GetFleetVehicles operation/method
 */
if ($payments->Payments_GetFleetVehicles(new \StructType\Payments_GetFleetVehicles()) !== false) {
    print_r($payments->getResult());
} else {
    print_r($payments->getLastError());
}
/**
 * Sample call for Payments_GetFleetTransferGeofences operation/method
 */
if ($payments->Payments_GetFleetTransferGeofences(new \StructType\Payments_GetFleetTransferGeofences()) !== false) {
    print_r($payments->getResult());
} else {
    print_r($payments->getLastError());
}
/**
 * Sample call for Payments_GetFleetDrivers operation/method
 */
if ($payments->Payments_GetFleetDrivers(new \StructType\Payments_GetFleetDrivers()) !== false) {
    print_r($payments->getResult());
} else {
    print_r($payments->getLastError());
}
